From a57c9f615b279cd2901241eb51f8e3dda88191ce Mon Sep 17 00:00:00 2001
From: Rick Carback <rick@privategrity.com>
Date: Tue, 15 Oct 2019 17:28:48 +0000
Subject: [PATCH] Add the assertion test from smoke infra to the basice2e test

---
 basice2e/run.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/basice2e/run.sh b/basice2e/run.sh
index 058c982..0901693 100755
--- a/basice2e/run.sh
+++ b/basice2e/run.sh
@@ -247,4 +247,12 @@ cat $GATEWAYLOGS/*.log | grep "ERROR" | grep -v "context" | grep -v "certificate
 cat $GATEWAYLOGS/*.log | grep "FATAL" | grep -v "context" >> results/gateway-errors.txt || true
 diff -ruN results/gateway-errors.txt noerrors.txt
 
+echo "CHECKING THAT AT LEAST 2 ROUNDS RAN"
+cat results/servers/server-5.log | grep "RID 1 ReceiveFinishRealtime END" > rid.txt || true
+if [ ! -s rid.txt ]; then
+    echo "FAILURE!"
+    exit 42
+fi
+
+
 echo "NO OUTPUT ERRORS, SUCCESS!"
-- 
GitLab